Bug 1402262 (CVE-2016-9908) - CVE-2016-9908 Qemu: display: virtio-gpu: information leakage in virgl_cmd_get_capset
Summary: CVE-2016-9908 Qemu: display: virtio-gpu: information leakage in virgl_cmd_get...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9908
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402263
Blocks: 1395985
TreeView+ depends on / blocked
 
Reported: 2016-12-07 07:08 UTC by Prasad J Pandit
Modified: 2019-09-29 14:02 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:29 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-07 07:08:55 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to an information leakage issue. It could occur while processing
'VIRTIO_GPU_CMD_GET_CAPSET' command.

A guest user/process could use this flaw to leak contents of the host memory
bytes.

Upstream patch:
---------------
  -> http://lists.gnu.org/archive/html/qemu-devel/2016-11/msg00059.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/06/2

Comment 1 Prasad J Pandit 2016-12-07 07:10:27 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1402263]

Comment 3 Cole Robinson 2017-01-16 18:47:18 UTC
commit 85d9d044471f93c48c5c396f7e217b4ef12f69f8
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 05:37:57 2016 -0700

    virtio-gpu: fix information leak in capset get dispatch


Note You need to log in before you can comment on or make changes to this bug.